LinuxQuestions.org
Download your favorite Linux distribution at LQ ISO.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - General
User Name
Password
Linux - General This Linux forum is for general Linux questions and discussion.
If it is Linux Related and doesn't seem to fit in any other forum then this is the place.

Notices

Reply
 
Search this Thread
Old 04-19-2004, 06:11 PM   #1
Braveheart1980
Member
 
Registered: Jan 2004
Location: Greece!
Distribution: Ubuntu 9.10
Posts: 633
Blog Entries: 1

Rep: Reputation: 30
Is there any supermount patch for 2.6.5 kernel?


I use mandrake 10.0 and i am trying to use the 2.6.5. kernel.
I know that i need a patch 2 apply so that supermount is activated. I went to http://supermount-ng.sourceforge.net/ and saw that 2.6.5 kernel patch was not there.
I've applied the 2.6.3 supermount patch and tried to recompile my kernel. Here is what i did

make mrproper
make clean
make xconfig ( Supermount was there and i chose it )
and during make i get this error

CC fs/filesystems.o
CC fs/namespace.o
fs/namespace.c: In function `do_mount':
fs/namespace.c:785: error: `FS_NO_SUBMNT' undeclared (first use in this function)
fs/namespace.c:785: error: (Each undeclared identifier is reported only once
fs/namespace.c:785: error: for each function it appears in.)
make[1]: *** [fs/namespace.o] Error 1
make: *** [fs] Error 2

And it stops
(!!!)
Do i need another supermount patch 4 my 2.6.5 kernel and if yes from where can i get it?
 
Old 04-20-2004, 08:08 AM   #2
Andrew Benton
Senior Member
 
Registered: Aug 2003
Location: Birkenhead/Britain
Distribution: Linux From Scratch
Posts: 2,073

Rep: Reputation: 64
I think you need to apply a 2.6.3 patch to a 2.6.3 kernel. Then use a 2.6.4 patch to make the kernel into a 2.6.4 kernel and the patch again with a 2.6.5 patch. I applied the supermount patch when my kernel was at 2.6.2 as that was the version of the patch I downloaded.
 
Old 05-20-2004, 06:35 PM   #3
haimeltjnfg
Member
 
Registered: May 2004
Distribution: debian
Posts: 235

Rep: Reputation: 30
i'm using supermount and 2.6.5. try using a fuzz factor of 3 (patch -F3).
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
Problem installing supermount patch odiseo77 Linux - Software 2 12-19-2004 03:34 PM
ck patch and supermount. KMcD Slackware 1 10-02-2004 10:54 AM
debian-patch-debianlogo w/2.6.5 kernel-patch-lpp Outabux Debian 11 05-20-2004 01:21 PM
2.4.22-rc1-ac1 + supermount patch not compiling Mad Merlin Linux - General 2 08-12-2003 08:58 PM
Supermount kernel patch for non-mandrake kernels SlCKB0Y Linux - General 0 03-02-2002 07:09 AM


All times are GMT -5. The time now is 06:57 PM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration